html {
  height: 100vh;
}

body {
  background-color: #000;
  margin: 0;
  padding: 0;
}

h1 {
   font-weight: medium;
}

.p_desc {
  line-height: 2;
}

.asd {
  height: 1800px;
  width: 100%;
  padding-top:75px;
  background: #fff;
}

.example_c {
color: black !important;
text-transform: uppercase;
text-decoration: none;
font-weight: bold;
font-size: 60px;
background: transparent;
padding: 30px;
border: 8px solid black !important;
display: inline-block;
transition: all 0.4s ease 0s;
-webkit-backdrop-filter: blur(5px);
backdrop-filter: blur(5px);
}

.example_c:hover {
color: white !important;
border-color: white !important;
transition: all 0.4s ease 0s;
text-decoration: none;
}

.example_q {
cursor: pointer;
color: black !important;
text-transform: uppercase;
text-decoration: none;
font-weight: bold;
font-size: 35px;
background: transparent;
padding: 15px;
border: 4px solid black !important;
display: inline-block;
transition: all 0.4s ease 0s;
-webkit-backdrop-filter: blur(5px);
backdrop-filter: blur(5px);
}

.example_q:hover {
color: white !important;
border-color: white !important;
transition: all 0.4s ease 0s;
text-decoration: none;
}

.example_buy {
color: #1d8fd6 !important;
text-transform: uppercase;
text-decoration: none;
font-weight: bold;
font-size: 60px;
background: transparent;
padding: 30px;
border: 8px solid #1d8fd6 !important;
display: inline-block;
transition: all 0.4s ease 0s;
-webkit-backdrop-filter: blur(5px);
backdrop-filter: blur(5px);
}

.example_buy:hover {
color: white !important;
border-color: white !important;
transition: all 0.4s ease 0s;
text-decoration: none;
}

.example_d {
color: black !important;
text-transform: uppercase;
text-decoration: none;
font-weight: bold;
font-size: 40px;
background: transparent;
padding: 20px;
border: 6px solid black !important;
display: inline-block;
transition: all 0.4s ease 0s;
-webkit-backdrop-filter: blur(5px);
backdrop-filter: blur(5px);
}

.example_d:hover {
color: white !important;
border-color: white !important;
transition: all 0.4s ease 0s;
text-decoration: none;
}

a:focus, a:hover {
  color: white;
}


canvas {
  position: relative;
  left: 50%;
  top: 25%;
  transform: translate(-50%, -50%);
  max-width: 100vw;
  max-height: 100vh;
}

.two-column {
  float: left;
  width: 50%;
  padding: none;
}

.three-column {
  display: inline-block;
  margin: 2%;
  margin-top: 100px;
  width: 28%;
  /*height: 350px;*/
}


/* Clearfix (clear floats) */
.row::after {
  content: "";
  clear: both;
  display: table;
}

#first {
  width: 100%;
  height: 600px;
  background-color: #000;
}

#second {
  width: 100%;
  background-color: #2b2b2b;
}

@keyframes float_left {
  0% {
    /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
    transform: translatex(0px);
  }
  50% {
    /*box-shadow: 0 25px 15px 0px rgba(0,0,0,0.2);*/
    transform: translatex(-25%);
  }
  100% {
    /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
    transform: translatex(0px);
  }
}

@keyframes float_left_outer {
  0% {
    /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
    transform: translatex(0px);
  }
  50% {
    /*box-shadow: 0 25px 15px 0px rgba(0,0,0,0.2);*/
    transform: translatex(-50%);
  }
  100% {
    /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
    transform: translatex(0px);
  }
}

@keyframes float_right_outer {
  0% {
    /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
    transform: translatex(0px);
  }
  50% {
    /*box-shadow: 0 25px 15px 0px rgba(0,0,0,0.2);*/
    transform: translatex(50%);
  }
  100% {
    /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
    transform: translatex(0px);
  }
}

@keyframes float_right {
  0% {
    /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
    transform: translatex(0px);
  }
  50% {
    /*box-shadow: 0 25px 15px 0px rgba(0,0,0,0.2);*/
    transform: translatex(25%);
  }
  100% {
    /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
    transform: translatex(0px);
  }
}

.map_piece {
  padding-top: 75px;
  width: 100%;
  height: 800px;
  /*box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);*/
  transform: translatex(0px);
  img { width: 100%; height: auto; }
}


.piece_1 {
  animation: float_left_outer 20s ease-in-out infinite;
  animation-delay: 1s;
}

.piece_2 {
  animation: float_left 20s ease-in-out infinite;
  animation-delay: 0.35s;
}

.piece_4 {
  animation: float_right 20s ease-in-out infinite;
  animation-delay: 0.35s;
}


.piece_5 {
  animation: float_right_outer 20s ease-in-out infinite;
  animation-delay: 1s;
}

.custom_font {
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  color: white;
  font-size: 20px;
}

.custom_font_dark {
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  color: black;
  font-size: 20px;
}

.shadow-right {
  box-shadow: 5px 5px 12px rgba(0, 0, 0, 0.5);
}

.shadow-right2 {
  box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.5);
}

.shadow-left {
  box-shadow: -5px 0px 12px rgba(0, 0, 0, 0.5);
}

.center {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.center_logan {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 25%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.center_banff {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.input_box {
  border-radius: 25px;
  background-color: #333435;
  border-width: 0px;
  border-style:solid;
  box-shadow: none;
  padding: 15px;
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  color: white;
  font-size: 20px;
}

.submit_button {
  background-color: white; /* Green */
  border-width: 2px;
  border-color: white;
  border:none;
  color: black;
  padding: 15px 25px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 20px;
}

.submit_button:hover {
  background-color: #dadfe7;
}

.submit_button:active {
  background-color: #bbc0c9;
}

.two-column-break {
  min-width: 500px;
  display: block;
}

input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
    text-decoration: none;
}

.row {
  margin-left: 0px;
  margin-right: 0px;
}

.banner {
   height:auto;
   object-fit: cover;
}

.banner_logan {
  width: 100%;
  object-fit: cover;
  background: url("../img/banner_logan.jpg") no-repeat right;
  -o-background-size: cover;
  -moz-background-size: cover;
  -webkit-background-size:cover;
  background-size: cover;
}

.banner_logan2 {
  width: 100%;
  object-fit: cover;
  background: url("../img/banner_combo.jpg") no-repeat right;
  -o-background-size: cover;
  -moz-background-size: cover;
  -webkit-background-size:cover;
  background-size: cover;
}

.banner_banff {
  width: 100%;
  object-fit: cover;
  background: url("../img/banner_banff.jpg") no-repeat right;
  -o-background-size: cover;
  -moz-background-size: cover;
  -webkit-background-size:cover;
  background-size: cover;
}



@media only screen and (max-width: 1680px) {
  .center_logan {
    left: 50% !important;
  }
}

@media only screen and (max-device-width: 1680px) {
  .center_logan {
    left: 50% !important;
  }
}

@media only screen and (max-width: 1680px) {
  .center_banff {
    left: 50% !important;
  }
}

@media only screen and (max-device-width: 1680px) {
  .center_banff {
    left: 50% !important;
  }
}

@media only screen and (max-device-width: 1000px) {
  .banner {
    height: 500px;
  }

  .two-column {
    float: none !important;
    width: 100% !important;
    padding-bottom: 20px !important;
    padding-left: 0px !important;
    padding-right: 0px !important; 
  }

  h1, p {
    width: 90% !important;
    padding-top: 40px !important;
    padding-right: 40px !important;
    padding-left: 40px !important;
  }

  p {
    padding-bottom: 40px !important;
    font-size: 35px !important;
  }

  .cd-image-container {
    width: 100% !important;
  }

  .copyright-text {
     font-size:25px !important;
  }

  .text-justify {
    font-size:25px !important;
  }

  #last {
    height: auto !important;
  }

  #contact {
    height: auto !important;
  }

  #shop-header {
    padding-top:20px !important;
  }

  .center_logan {
    left: 50% !important;
  }

  .banner_logan {
    width: auto !important;
    height: 600px !important;
    object-fit: cover !important;
    background: url("../img/logan_mobile.jpg") !important;
  }

  .banner_logan2 {
    width: auto !important;
    height: 600px !important;
    object-fit: cover !important;
    background: url("../img/combo_mobile.jpg") !important;
  }

  .center_banff {
    left: 50% !important;
  }

  .banner_banff {
    width: auto !important;
    height: 600px !important;
    object-fit: cover !important;
    background: url("../img/banff_mobile.jpg") !important;
  }
}

@media only screen and (max-width: 1000px) {
  .banner {
    height: 750px;
  }

  .two-column {
    float: none !important;
    width: 100% !important;
    padding-bottom: 20px !important;
    padding-left: 0px !important;
    padding-right: 0px !important; 
  }

  h1, p {
    width: 90% !important;
    padding-top: 40px !important;
    padding-right: 40px !important;
    padding-left: 40px !important;
  }

  p {
    padding-bottom: 40px !important;
    font-size: 35px !important;
  }

  .cd-image-container {
    width: 100% !important;
  }

    .copyright-text {
     font-size:25px !important;
  }

  .text-justify {
    font-size:25px !important;
  }

  #last {
    height: auto !important;
  }

  #contact {
    height: auto !important;
  }

  #shop-header {
    padding-top:20px !important;
  }

  .center_logan {
    left: 50% !important;
  }

  .banner_logan {
    width: auto !important;
    height: 600px !important;
    object-fit: cover !important;
    background: url("../img/logan_mobile.jpg") !important;
  }

  .center_banff {
    left: 50% !important;
  }

  .banner_banff {
    width: auto !important;
    height: 600px !important;
    object-fit: cover !important;
    background: url("../img/banff_mobile.jpg") !important;
  }

}
